unit hide1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, notify;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    ListBox1: TListBox;
    notify1: Tnotify;
    PopupMenu1: TPopupMenu;
    cancel1: TMenuItem;
    N1: TMenuItem;
    hider1: TMenuItem;
    Close1: TMenuItem;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Button9: TButton;
    Button10: TButton;
    close2: TMenuItem;
    Info1: TMenuItem;
    Hideall1: TMenuItem;
    Showall1: TMenuItem;
    CheckBox1: TCheckBox;
    Disableshowall1: TMenuItem;
    Button11: TButton;
    procedure hider1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Button7Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Info1Click(Sender: TObject);
    procedure Hideall1Click(Sender: TObject);
    procedure Showall1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Disableshowall1Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  first:boolean;
  closin:boolean;
implementation

{$R *.DFM}

procedure TForm1.hider1Click(Sender: TObject);
begin
notify1.restore;
end;

procedure TForm1.Close1Click(Sender: TObject);
begin
closin:=true;
close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
closin:=false;
first:=true;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
if first=true then begin
first:=false;
notify1.createicon;
if fileexists('default.hap') then listbox1.items.loadfromfile('default.hap');
end;
notify1.hideapp;
notify1.gotsr;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
listbox1.items.add(edit1.text);

end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
if key=chr(VK_RETURN) then begin
button1click(sender);
edit1.text:='';
end;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
if opendialog1.execute then listbox1.items.LoadFromFile(opendialog1.filename);
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
listbox1.items.clear;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
if savedialog1.execute then listbox1.items.savetofile(savedialog1.filename);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
notify1.HideTaskBar(listbox1.items[listbox1.itemindex]);

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
notify1.ShowTaskBar(listbox1.items[listbox1.itemindex]);

end;

procedure TForm1.Button4Click(Sender: TObject);
var i:integer;
begin
for i:=0 to listbox1.items.count-1 do begin
notify1.HideTaskBar(listbox1.items[i]);
end;
end;

procedure TForm1.Button5Click(Sender: TObject);
var i:integer;
begin
for i:=0 to listbox1.items.count-1 do begin
notify1.showTaskBar(listbox1.items[i]);
end;

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
notify1.gotsr;

end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
edit1.text:=listbox1.items[listbox1.itemindex];

end;

procedure TForm1.Button10Click(Sender: TObject);
begin
listbox1.items.delete(listbox1.itemindex);
end;

procedure TForm1.FormDeactivate(Sender: TObject);
begin
notify1.hideapp;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
if closin = false then action:=canone;
notify1.GoTsr;
end;

procedure TForm1.Info1Click(Sender: TObject);
begin
showmessage('HIDER application hider Tnotify demo,                                  made by Frank Dekervel, 1997');
notify1.gotsr;
end;

procedure TForm1.Hideall1Click(Sender: TObject);
begin
button4click(sender);
notify1.gotsr;
end;

procedure TForm1.Showall1Click(Sender: TObject);
begin
button5click(sender);
notify1.gotsr;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
showall1.visible:=checkbox1.checked;
DisableShowall1.Visible:=checkbox1.checked;
end;

procedure TForm1.Disableshowall1Click(Sender: TObject);
begin
showall1.visible:=false;
DisableShowall1.Visible:=false;
checkbox1.checked:=false;

end;

procedure TForm1.Button11Click(Sender: TObject);
begin
if application.messagebox('Are you sure to close this application?','Confirm',MB_yesNO) = IDyes then
notify1.Killapp(listbox1.items[listbox1.itemindex]);

end;

end.
